AOMedia AV1 Codec: SPEED_FEATURES Struct Reference

| AOMedia AV1 Codec

Data Fields
SPEED_FEATURES Struct Reference

Top level speed vs quality trade off data struture. More...

`#include <speed_features.h>`

## Data Fields
HIGH_LEVEL_SPEED_FEATURES | hl_sf
FIRST_PASS_SPEED_FEATURES | fp_sf
TPL_SPEED_FEATURES | tpl_sf
GLOBAL_MOTION_SPEED_FEATURES | gm_sf
PARTITION_SPEED_FEATURES | part_sf
MV_SPEED_FEATURES | mv_sf
INTER_MODE_SPEED_FEATURES | inter_sf
INTERP_FILTER_SPEED_FEATURES | interp_sf
INTRA_MODE_SPEED_FEATURES | intra_sf
TX_SPEED_FEATURES | tx_sf
RD_CALC_SPEED_FEATURES | rd_sf
WINNER_MODE_SPEED_FEATURES | winner_mode_sf
LOOP_FILTER_SPEED_FEATURES | lpf_sf
REAL_TIME_SPEED_FEATURES | rt_sf

## Detailed Description

Top level speed vs quality trade off data struture.

## Field Documentation

## ◆ hl_sf

HIGH_LEVEL_SPEED_FEATURES SPEED_FEATURES::hl_sf

Sequence/frame level speed features:

Referenced by av1_encode_frame(), av1_rc_pick_q_and_bounds(), av1_tf_do_filtering_row(), encode_with_recode_loop(), encode_with_recode_loop_and_filter(), recode_loop_test(), and tf_setup_filtering_buffer().

## ◆ fp_sf

FIRST_PASS_SPEED_FEATURES SPEED_FEATURES::fp_sf

Speed features for the first pass.

## ◆ tpl_sf

TPL_SPEED_FEATURES SPEED_FEATURES::tpl_sf

Speed features related to how tpl's searches are done.

Referenced by av1_get_second_pass_params().

## ◆ gm_sf

GLOBAL_MOTION_SPEED_FEATURES SPEED_FEATURES::gm_sf

Global motion speed features:

Referenced by handle_inter_mode().

## ◆ part_sf

PARTITION_SPEED_FEATURES SPEED_FEATURES::part_sf

Partition search speed features:

Referenced by av1_rd_pick_partition(), av1_rd_use_partition(), encode_frame_internal(), encode_nonrd_sb(), encode_rd_sb(), encode_with_recode_loop(), encode_without_recode(), and pick_sb_modes().

## ◆ mv_sf

MV_SPEED_FEATURES SPEED_FEATURES::mv_sf

Motion search speed features:

Referenced by combined_motion_search(), motion_mode_rd(), rd_pick_intrabc_mode_sb(), and tf_motion_search().

## ◆ inter_sf

INTER_MODE_SPEED_FEATURES SPEED_FEATURES::inter_sf

Inter mode search speed features:

Referenced by av1_nonrd_pick_inter_mode_sb(), av1_rd_pick_inter_mode(), encode_b(), encode_frame_internal(), encode_rd_sb(), encode_without_recode(), handle_inter_mode(), and motion_mode_rd().

## ◆ interp_sf

INTERP_FILTER_SPEED_FEATURES SPEED_FEATURES::interp_sf

Interpolation filter search speed features:

Referenced by av1_interpolation_filter_search(), av1_nonrd_pick_inter_mode_sb(), encode_frame_internal(), encode_with_recode_loop(), and search_filter_ref().

## ◆ intra_sf

INTRA_MODE_SPEED_FEATURES SPEED_FEATURES::intra_sf

Intra mode search speed features:

Referenced by av1_handle_intra_y_mode(), av1_rd_pick_inter_mode(), av1_rd_pick_intra_sbuv_mode(), av1_rd_pick_intra_sby_mode(), palette_rd_y(), rd_pick_filter_intra_sby(), and search_intra_modes_in_interframe().

## ◆ tx_sf

TX_SPEED_FEATURES SPEED_FEATURES::tx_sf

Transform size/type search speed features:

Referenced by encode_frame_internal(), and intra_block_yrd().

## ◆ rd_sf

RD_CALC_SPEED_FEATURES SPEED_FEATURES::rd_sf

RD calculation speed features:

Referenced by encode_frame_internal().

## ◆ winner_mode_sf

WINNER_MODE_SPEED_FEATURES SPEED_FEATURES::winner_mode_sf

Two-pass mode evaluation features:

Referenced by av1_rd_pick_inter_mode(), av1_rd_pick_intra_sby_mode(), encode_frame_internal(), handle_inter_mode(), palette_rd_y(), rd_pick_filter_intra_sby(), and search_intra_modes_in_interframe().

## ◆ lpf_sf

LOOP_FILTER_SPEED_FEATURES SPEED_FEATURES::lpf_sf

In-loop filter speed features:

Referenced by loopfilter_frame().

## ◆ rt_sf

REAL_TIME_SPEED_FEATURES SPEED_FEATURES::rt_sf

Real-time mode speed features:

Referenced by av1_encode_frame(), av1_encode_strategy(), av1_encode_tile(), av1_encodedframe_overshoot_cbr(), av1_nonrd_pick_inter_mode_sb(), av1_nonrd_pick_intra_mode(), av1_nonrd_use_partition(), av1_rc_update_rate_correction_factors(), av1_restore_layer_context(), av1_set_rtc_reference_structure_one_layer(), combined_motion_search(), encode_frame_internal(), encode_frame_to_data_rate(), encode_nonrd_sb(), encode_sb_row(), encode_without_recode(), fast_interp_search(), grade_source_content_sb(), handle_inter_mode(), hybrid_intra_mode_search(), is_calc_src_content_needed(), motion_mode_rd(), pick_sb_modes_nonrd(), rc_scene_detection_onepass_rt(), rd_pick_intrabc_mode_sb(), search_intra_modes_in_interframe(), and search_new_mv().

The documentation for this struct was generated from the following file:

- av1/encoder/speed_features.h